Bug 219499 - sysutils/dsbmc: Update from 0.1.4 to 0.2
Summary: sysutils/dsbmc: Update from 0.1.4 to 0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D10964
Keywords:
Depends on: 219479
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-24 10:30 UTC by Marcel Kaiser
Modified: 2017-05-30 01:22 UTC (History)
2 users (show)

See Also:
mk: maintainer-feedback+


Attachments
svn diff patch to upgrade dsbmc-0.1.4 to dsbmc-0.2 (917 bytes, patch)
2017-05-24 10:30 UTC, Marcel Kaiser
mk: maintainer-approval+
Details | Diff
Poudriere build log (36.24 KB, text/x-log)
2017-05-24 10:31 UTC, Marcel Kaiser
no flags Details
svn diff patch to upgrade dsbmc-0.1.4 to dsbmc-0.2 (1.05 KB, patch)
2017-05-27 23:16 UTC, Marcel Kaiser
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Kaiser 2017-05-24 10:30:31 UTC
Created attachment 182858 [details]
svn diff patch to upgrade dsbmc-0.1.4 to dsbmc-0.2

This patch upgrades dsbmc from version 0.1.4 to 0.2.
Comment 1 Marcel Kaiser 2017-05-24 10:31:54 UTC
Created attachment 182859 [details]
Poudriere build log
Comment 2 Danilo G. Baio freebsd_committer 2017-05-27 19:12:39 UTC
I'll take it.
Comment 3 Danilo G. Baio freebsd_committer 2017-05-27 21:27:59 UTC
Hi.

I've got this on Q/A tests:

===========================================================================
====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/dsbmc is linked to /usr/local/lib/libcairo.so.2 from graphics/cairo but it is not declared as a dependency
Warning: you need USE_GNOME+=cairo
Error: /usr/local/bin/dsbmc is linked to /usr/local/lib/libgdk_pixbuf-2.0.so.0 from graphics/gdk-pixbuf2 but it is not declared as a dependency
Warning: you need USE_GNOME+=gdkpixbuf2
Error: /usr/local/bin/dsbmc is linked to /usr/local/lib/libfontconfig.so.1 from x11-fonts/fontconfig but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libfontconfig.so:x11-fonts/fontconfig
Error: /usr/local/bin/dsbmc is linked to /usr/local/lib/libfreetype.so.6 from print/freetype2 but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libfreetype.so:print/freetype2

Could you update the patch?

Thank you.
Comment 4 Marcel Kaiser 2017-05-27 23:16:04 UTC
Created attachment 182978 [details]
svn diff patch to upgrade dsbmc-0.1.4 to dsbmc-0.2
Comment 5 Marcel Kaiser 2017-05-27 23:19:08 UTC
Hi Danilo,

the updated patch should do it.
Comment 6 Danilo G. Baio freebsd_committer 2017-05-28 03:19:21 UTC
Hi Marcel.

Thank you for updating the patch.
Comment 7 commit-hook freebsd_committer 2017-05-30 01:15:02 UTC
A commit references this bug:

Author: dbaio
Date: Tue May 30 01:14:17 UTC 2017
New revision: 442041
URL: https://svnweb.freebsd.org/changeset/ports/442041

Log:
  sysutils/dsbmc: Update to 0.2

  PR:		219499
  Submitted by:	Marcel Kaiser <mk@nic-nac-project.org> (maintainer)
  Approved by:	garga (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10964

Changes:
  head/sysutils/dsbmc/Makefile
  head/sysutils/dsbmc/distinfo
Comment 8 Danilo G. Baio freebsd_committer 2017-05-30 01:22:24 UTC
Committed, thanks.